"use strict";
this.name	= "lasercannons-conditions";
this.author	= "Norby";
this.copyright   = "2013 Norbert Nagy";
this.licence     = "CC BY-NC-SA 4.0";
this.description = "This equipment is usable only for ships over 130t like the Cobra Mark III.";

this.allowAwardEquipment = function(equipment, ship, context)
{
	// OXP hook to allow stations to forbid specific equipment
	if (context == "purchase" && player.ship.dockedStation && player.ship.dockedStation.scriptInfo["oolite-barred-equipment"])
	{
		if (player.ship.dockedStation.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
		{
			return false;
		}
	}

	// OXP hook to allow ships to forbid specific "available to all" equipment
	if (ship.scriptInfo && ship.scriptInfo["oolite-barred-equipment"] && ship.scriptInfo["oolite-barred-equipment"].indexOf(equipment) != -1)
	{
		return false;
	}

//	player.consoleMessage( eqKey+" "+ship+" "+context );//debug

	//Base weapons need an Andromeda or Liners
	if( ship.mass < 200000000 &&
		(  equipment == "EQ_WEAPON_CANNON_17"
		|| equipment == "EQ_WEAPON_CANNON_18" ) ) return false;

	//Behemoth weapons need a Behemoth or a ship from BigShips
	if( ship.mass < 8000000 &&
		(  equipment == "EQ_WEAPON_CANNON_15"
		|| equipment == "EQ_WEAPON_CANNON_16" ) ) return false;

	//Battle Cannon and Plasma Artillery need a Carrier or similar huge ship
	if( ship.mass < 800000 && 
		(  equipment == "EQ_WEAPON_CANNON_13"
		|| equipment == "EQ_WEAPON_CANNON_14" ) ) return false;

	//Twin Military Cannon and Twin Artillery need an Anaconda
	if( ship.mass < 400000 &&
		(  equipment == "EQ_WEAPON_CANNON_5"
		|| equipment == "EQ_WEAPON_CANNON_12" ) ) return false;

	//Vulcan Cannon and Plasma Web need as large ship as a Python
	if( ship.mass < 250000 &&
		(  equipment == "EQ_WEAPON_CANNON_7"
		|| equipment == "EQ_WEAPON_CANNON_9" ) ) return false;

	//Mini Cannon and Mini Plasma Ray fit into escort ships from 30t
	if( ship.mass > 30000 &&
		(  equipment == "EQ_WEAPON_CANNON_2"
		|| equipment == "EQ_WEAPON_CANNON_8" ) ) return true;

	//Other cannons for large ships only like Cobra Mark III
	if( ship.mass < 130000 ) return false;

	return true;
}
